Name:           marble

#codename: Sladibadfast
# upstream version: 0.4-3, but advised me to use:
Version:        0.4.0.3
Release:        1%{?dist}
Summary:        A KDE Desktop Globe

Group:          Applications/Engineering
License:        LGPLv2

URL:            http://edu.kde.org/marble/
Source0:        http://developer.kde.org/~tackat/marble/%{name}-0.4-3.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel cmake desktop-file-utils gpsd-devel


%description
Marble is a generic geographical map widget that is meant
to be used by KDE4 applications. It shows the earth as a
sphere but doesn't make use of any hardware acceleration
(No OpenGL). So although it might look similar to professional
applications like Google Earth or Nasa World Wind it's rather
meant to be a small light weight multi purpose widget.

%package devel
Summary:         Development files for marble
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        qt4-devel


%description devel
Development files for marble


%prep
%setup -q -n %{name}

%build

%cmake -DQTONLY=ON                                 \
       -DCMAKE_INSTALL_PREFIX=%{_prefix}           \
       -DQT_QMAKE_EXECUTABLE=%{_bindir}/qmake-qt4 .


%{__make} %{?_smp_mflags} VERBOSE=1


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


desktop-file-install --vendor fedora         \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category "Utility"                \
  --delete-original                          \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc CREDITS LICENSE.txt ChangeLog TODO MANIFESTO.txt USECASES
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}
%{_libdir}/libmarblewidget.so.*
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/marble.png

%files devel
%defattr(-,root,root,-)
%doc docs CODING
%{_includedir}/%{name}
%{_libdir}/libmarblewidget.so



%changelog
* Mon Aug 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.4.0.3-1
- new upstream release

* Sun Aug 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.4.0.2-1
- new upstream release

* Sun Aug 19 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.4.0.1-1
- new upstream release and applied fix for multilibs
- change license tag to LGPLv2
- added devel package to create additional Qt-Designer-Plugin for developers
- gpsd support
- added missing icons

* Thu Jun 21 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.3.1-4
- fix for ppc64

* Mon Apr 30 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.3.1-3
- fix for ppc

* Sat Apr 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.3.1-2
- added VERBOSE to make
- use of macros on cmake
- added cmake and desktop-file-utils ad BR

* Sat Apr 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.3.1-1
- New Upstream release
- Dropped Category Engineering
- remove-category "Utility" (duplicate kmenu entries)

* Sun Mar 25 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.3-2.20070325svn
- new upstream snapshot

* Sat Mar 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0.3-1.20070318svn
- initial package